#!/bin/sh

do_make(){
if [ "$1" != "" ] ; then
	touch "$1"
else
	touch ./src/action.c
	touch ./src/report.c
fi

make

if [ "$?" -ne "0" ] ; then
	exit 1
fi

find ./ -name apcupsd|xargs strip
make install

if [ "$?" -ne "0" ] ; then
	exit 2
fi
}

do_gzip(){
rm -f /etc/apcupsd/*.orig
rm -f /etc/apcupsd/*.new
tar -zvcf ./apcupsd.tar.gz \
	/usr/local/sbin/apcupsd \
	/etc/apcupsd/*
#	/usr/local/sbin/apctest \
#	/usr/local/sbin/apcaccess \
#	/usr/local/sbin/smtp \
#	/usr/lib/libusb.a \
}

do_configure()
{
	./configure \
		--sbindir=/usr/local/sbin \
		--enable-apcsmart \
		--disable-dumb \
		--enable-usb \
		--disable-net \
		--disable-snmp \
		--disable-net-snmp \
		--disable-test \
		--disable-master-slave
		
		cat Makefile|sed -e "s/^CFLAGS = /CFLAGS = -DBUFFALO /" > ./Makefile.tmp
		mv Makefile.tmp Makefile
		cat ./src/Makefile|sed -e "s/^gobjs = /gobjs = buffalo_funcs.o /" > ./src/Makefile.tmp
		mv ./src/Makefile.tmp ./src/Makefile
}

case $1 in
configure)
	do_configure
	;;		
make)
	do_make
	;;
gzip)
	do_gzip
	;;
clean)
	make clean
	do_configure
	;;
esac
